/* Squirrel Script Tool for Simutrans
 * autor Andarix
 *
 * output passenger overcrowded connected halts or all overcrowded halts
 * click on a stop to check connected stops or to click the map for all stops
 */

function init(pl)
{
	return true
}

function work(pl, pos)
{
	local output_message = ""

	local fs_tile = tile_x(pos.x, pos.y, pos.z)
	local stations_list = null
	local count = 0

	if ( fs_tile.get_halt() ) {
  	local stations_obj = fs_tile.get_halt()
		stations_list = stations_obj.get_connections(good_desc_x("Passagiere"))
		//output_message += stations_list.len()
		if ( stations_list.len() > 0 ) {

			foreach(station in stations_list) {
				local count_waiting = station.get_waiting()

				if ( count_waiting[4] < count_waiting[3] && count_waiting[3] < count_waiting[2] && count_waiting[2] < count_waiting[1] ) {
					count++
					local tile_list = station.get_tile_list()
					output_message += "\n(" + station.get_name() + " " + coord_to_string(square_x(tile_list[0].x, tile_list[0].y)) + ")"
				}

			}
			if ( count == 0 ) {
			  output_message += format(translate("no connected halts waiting %s increased 4 months"), translate("Passagiere"))
			} else {
			  output_message = format(translate("%s connectet halts waiting %s increased 4 months:"), stations_obj.get_name(), translate("Passagiere")) + " (" + count + ")" + output_message

      }
		} else {
		  output_message += format(translate("no connected halts accept %s"), translate("Passagiere"))
		}

	}	else {

		local passenger_waiting = 0

    foreach(station in halt_list_x()) {
			local count_waiting = station.get_waiting()

			if ( station.get_connections(good_desc_x("Passagiere")).len() > 0 ) {
				/*local list = station.get_connections(good_desc_x("Passagiere"))
				if ( list.len() > 0 ) {

					foreach(target in list) {
						local tile_list = target.get_tile_list()
						passenger_waiting += station.get_freight_to_dest(good_desc_x("Passagiere"), tile_list[0])
						passenger_waiting += station.get_freight_to_halt(good_desc_x("Passagiere"), target)
					}

				}*/

				if ( count_waiting[4] < count_waiting[3] && count_waiting[3] < count_waiting[2] && count_waiting[2] < count_waiting[1] ) { //station.get_capacity(good_desc_x("Passagiere")) < passenger_waiting
					count++
					local tile_list = station.get_tile_list()
					output_message += "\n(" + station.get_name() + " " + coord_to_string(square_x(tile_list[0].x, tile_list[0].y)) + ")"

				}//"[" + passenger_waiting + "] " +

				//passenger_waiting = 0
			}
    }
		if ( count == 0 ) {
			//output_message += translate("none")
		} else {

    }
		output_message = format(translate("Stations where the number of waiting %s has been increasing for 4 months:"), translate("Passagiere")) + " (" + count + ")" + output_message

	}

	return gui.add_message_at(pl, output_message, world.get_time())
}

function exit(pl)
{
	return true
}